// ATX ActionType 102 is not supported natively by Trespasser CE, instead it will look if there's a
// script based ActionType named "ATX102" and used that. The actual implementation is up to modders.

// A custom GameScript with backward compatible ATX style map displaying capabilities could be created,
// to which this action sends a message when it runs, in order to make levels that used ATX102 work.
// Or the levels are updated with something entirely new.

class ATX102 extends ActionType
{
	MapName = null;
	XPos = null;
	YPos = null;
	X = null;
	Y = null;

	function OnScriptInit(triggerOwner)
	{
		// example to fetch the properties as defined by the origial AT 102 documentation

		MapName = GetPropString(esTActionSample);
		XPos = GetPropFloat(esTActionXP, 0.0);
		YPos = GetPropFloat(esTActionYP, 0.0);
		X = GetPropFloat(esX, 0.0);
		Y = GetPropFloat(esY, 0.0);

		if (MapName == null) print("ATX102 error, missing 'Sample' property");
	}

	function Run()
	{
		// TODO: could send a message that an associated GameScript handles
		//SendLGMessage("ATXSwitchMap", [ MapName, XPos, YPos, X, Y ]);
	}
}
